body, input { font-family: "Montserrat", sans-serif !important; }

:root {
    --animate-delay: 0.3s !important;
    --elearning-bg-tp: rgba(248, 249, 250, 0.9);
    --elearning-menu-bg: rgba(255, 255, 255, 0.95);
    --elearning-green-main: #0A5B29;
    --elearning-green-sec: #4EA418;
    --elearning-green-ter: #9fff63;
    --elearning-amber-accent: #cfa430;
    --elearning-amber-highlight: #fff1cb;
    --elearning-red-accent: #d00000;
    --elearning-orange-accent: #F26720;
    --elearning-btn-bg: #212529;
    --elearning-btn-color: white;
    --elearning-btn-bg-hover: #4EA418;
}

:root[data-bs-theme="dark"] {
    --elearning-bg-tp: rgba(33, 37, 41, 0.85);
    --elearning-menu-bg: rgba(33, 37, 41, 0.8);
    --elearning-green-main: #4EA418;
    --elearning-green-sec: #87DB51;
    --elearning-green-ter: #065329;
    --elearning-amber-accent: #9d791a;
    --elearning-amber-highlight: #3f361d;
    --elearning-red-accent: #891414;
    --elearning-orange-accent: #d55f0f;
    --elearning-btn-bg: #DEE2E6;
    --elearning-btn-color: #212529;
    --elearning-btn-bg-hover: #87DB51;
}

/*PARA ALTERNAR ICONOS DEL BOTÓN DE CAMBIO DE MODO DE COLOR*/
html[data-bs-theme="light"] #colorModeToggle #setDark { display: none; }
html[data-bs-theme="dark"] #colorModeToggle #setLight { display: none; }

html::selection {
    background-color: #0A5B29;
    color: white;
}

/* MODALS */
.modal-backdrop { background-color: rgba(0, 0, 0, 0.5) !important; backdrop-filter: blur(10px) !important; -webkit-backdrop-filter: blur(10px) !important; }
.modal-backdrop.show { opacity: 1 !important; }

/* LOGIN */
.btn-color-mode-login {
    position: absolute;
    display: flex;
    top: 20px;
    right: 20px;
    z-index: 1000;
    height:50px;
}
.login-screen { height: 100vh; }
html[data-bs-theme="light"] .login-splash { background: linear-gradient(135deg, #4ea418, #158239); }
html[data-bs-theme="dark"] .login-splash { background: linear-gradient(135deg, #055f10, #132b2d); }
html[data-bs-theme="dark"] .login-splash img { filter: brightness(1.07); }
#loginform-container { padding: 48px 48px 130px; width: 100%; max-width: 420px; }
.form-signin .btn-success { background-color: #4ea418; }
.input-group:has('.form-control.is-invalid') .input-group-text { color:red; }
html[data-bs-theme="dark"] .logo-light { display: none; }
html[data-bs-theme="light"] .logo-dark { display: none; }

/* HEADER */

.elearning-header {
    background-color: var(--elearning-bg-tp) !important;
    backdrop-filter: blur(10px); -webkit-backdrop-filter: blur(10px);
}

.btn-header-user { font-size:14px !important; font-weight:600 !important; height: 55px; }
#user-dropdown { min-width: 300px; }
.dropdown-item:active { color: var(--bs-dark) !important; background-color: var(--bs-gray-400) !important; }
#menuPrincipal-Elearning { background-color: var(--elearning-menu-bg); backdrop-filter: blur(10px); -webkit-backdrop-filter: blur(10px); }


/* GENERALES */
.input-group, .form-control, .form-select { border-radius: 6px; outline: solid 1px transparent; transition: .3s ease; }
.input-group:focus-within { box-shadow: none !important; outline: solid 1px var(--elearning-green-sec) !important; }
.form-control:focus, .form-select:focus {
    box-shadow: none !important;
    outline: solid 1px var(--elearning-green-sec) !important;
    border: solid 1px var(--elearning-green-sec) !important;
}
select:not(:-internal-list-box):not([multiple]) option:disabled {
    color: var(--bs-body-color) !important;
}
.input-group:focus-within .form-control { box-shadow: none; border: solid 1px var(--elearning-green-sec); }
.input-group:focus-within .input-group-text { background-color: var(--elearning-green-sec); border: solid 1px var(--elearning-green-sec); }
.input-group:focus-within .input-group-text i { color: var(--bs-body-bg); }
.elearning-body { padding: 100px 20px; margin: 0 auto; max-width: 1200px; }
.card-elearning { outline: solid 1px transparent; outline-offset: -1px; transition: .3s ease; }
.card-elearning .card-title { font-weight: 600; transition:.3s ease; }
.card-elearning .badge { transition:.15s ease; font-size:14px;}
.card-elearning .badge.intentos { margin-top:5px !important; background-color: rgb(135 145 155 / 20%); color:var(--bs-body-color)!important }
/*.card-elearning:hover .badge { background-color: var(--elearning-green-main) !important; }*/
.card-elearning:hover { box-shadow: 0 10px 40px -20px color-mix(in srgb, var(--bs-body-color), transparent 75%); outline: solid 1px var(--elearning-green-sec); }
.card-elearning:hover .card-title { color: var(--elearning-green-sec); }
.card-plataforma { height: 500px !important; }
.card-plataforma .card-body { display: flex; flex-direction: column; justify-content: space-between; }
.card-plataforma .card-text { overflow: hidden; display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 5; }
.capacitaciones-img { border-radius: .375rem .375rem 0 0; }
@media only screen and (min-width:768px) { .capacitaciones-img { border-radius: .375rem 0 0 .375rem; } }
.btn-elearning-dark { background-color: var(--elearning-btn-bg) !important; color: var(--elearning-btn-color) !important; transition: .3s ease; }
.btn-elearning-dark:hover { background-color: var(--elearning-green-sec) !important; }

.btn-elearning-examen{background-color: var(--elearning-green-sec) !important; color: var(--elearning-btn-color) !important; transition: .3s ease;}
.btn-elearning-examen:hover { background-color: var(--elearning-btn-bg) !important; }
/* MODULOS */
.contenido-modulo h1,.contenido-modulo h2,
.contenido-modulo h3,.contenido-modulo h4,
.contenido-modulo h5,.contenido-modulo h6
{ color: var(--elearning-green-sec); font-weight: 700;}

/* EXAMEN */
/*.form-check-input:checked + .custom-button.color {
    background-color: #C4FE76; 
    color: BLACK; 
}*/

.elearning-porcentaje-container { display: flex; align-items: center; gap: 10px; margin-bottom: 20px; }

.elearning-porcentaje-barra {
    height: 15px;
    border: solid 1px rgba(135,155,170, 0.4);
    width: 80%;
    max-width: 300px;
    overflow: hidden;
    border-radius: 15px;
}

.elearning-porcentaje-relleno { background-color: var(--elearning-green-sec); width: 0%; height: 100%; transition: 1s ease; }

.elearning-porcentaje-texto {
    color: rgba(135,155,170, 0.7);
    font-weight:600;
}

.form-check-input{ display: none; }
.tarjeta-preguntas {
    background: rgba(135,155,170, 0.1);
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(1, auto);
    gap: 7px;
    padding: 40px;
    margin: 0 auto;
    margin-top: 0px;
    margin-bottom: 25px;
    vertical-align: middle;
}
@media (max-width: 600px) {
    .tarjeta-preguntas {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(1, auto);
        padding: 40 20px;
    }
    .usuariopc{
      display: none;
  }
}

.opcionpregunta { border-radius: 0.375rem; outline: solid 1px rgba(135,155,170, 0.4); outline-offset: -1px; }
.opcionpregunta, .opcion-texto, .opcion-numero { transition: .15s ease; }
.opcionpregunta:hover {
    box-shadow: 0 2px 40px -10px rgba(0,0,0,0.2);
    outline: solid 1px /*rgba(135,155,170, 0.85)*/var(--elearning-green-sec);
    cursor: pointer;
}
.opcion-texto {
    min-height: 30px;
    display: inline-flex;
    align-items: center;
}
.opcion-numero {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    font-size: 17px;
    background-color: var(--elearning-green-sec);
    color: var(--bs-body-bg);
    min-width: 30px; width:30px; height: 30px;
    border-radius: 0.375rem;
    text-align: center;
}
.opcionpregunta-inner { display: flex; gap: 10px; margin-bottom: 0; align-items: center; }
.opcionpregunta:hover > * { cursor: pointer; }
/*.opcionpregunta:hover .opcion-texto { color: var(--elearning-green-sec); }*/
.form-check-input:checked ~ .opcionpregunta { background-color: var(--elearning-green-sec); color: var(--bs-body-bg); }
.form-check-input:checked ~ .opcionpregunta .opcion-numero { background-color: var(--elearning-green-main); }

/*PÁGINA DE RESULTADOS DE MÓDULO*/
.puntaje-modulo {
    position: relative;
    display: flex;
    font-size: 29px;
    align-items: center;
}

.puntaje-modulo-numero {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 220px;
    height: 155px;
    font-size: 75px;
    font-weight: 800;
    padding: 10px;
    border-radius: 0.975rem 0 0 0.975rem;
}

.puntaje-modulo-texto {
    display: inline-flex;
    align-items: center;
    width: auto;
    height: 155px;
    color:white;
    font-weight:700;
    padding: 10px 15px;
    border-radius: 0 0.975rem 0.975rem 0;
}

.puntaje-emoji {
    width: 100px; height: 100px;
    margin-left: 30px;
}

.no-aprobado .puntaje-modulo-numero {
    background-color: var(--elearning-amber-accent);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    color: white;
}
.no-aprobado .puntaje-modulo-texto {
    background-color: var(--elearning-amber-highlight);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    color: #b78f24;
}
.aprobado .puntaje-modulo-numero {
    background-color: color-mix(in srgb, #007125, transparent 19%);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    color: white;
}
.aprobado .puntaje-modulo-texto {
    background-color: color-mix(in srgb, var(--elearning-green-ter), transparent 40%);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    color: var(--elearning-green-sec);
}

@media only screen and (max-width: 624px) {
    .contenedor-puntaje { justify-content: center; }
    .texto-minimo-requerido { text-align: center; }
    .puntaje-modulo { flex-direction: column; justify-content: stretch; }
    .puntaje-modulo-numero {
        width: 100%;
        border-radius: 0.975rem 0.975rem 0 0;
    }
    .puntaje-modulo-texto {
        width: 100%;
        border-radius: 0 0 0.975rem 0.975rem;
    }
    .puntaje-emoji {
        position: absolute;
        top: -50px;
        right: -50px;
    }
    .no-aprobado .puntaje-modulo-numero {
        background: radial-gradient(circle at top right, #95327e 0%, var(--elearning-amber-accent) 70%);
    }
    .aprobado .puntaje-modulo-numero {
        background: radial-gradient(circle at top right, #2fbf5e 0%, color-mix(in srgb, #007125, transparent 19%) 70%);
    }
}

.absoluteContainer {
    position: relative;
    display: flex;
    width: 100%;
    min-height: 350px;
    transition: .5s ease;
}

@media only screen and (max-width:565px) {
    .absoluteContainer { min-height: 415px; }
}

.resultados .pregunta-container {
    position: absolute;
    width: 100%;
    background-color: rgb(145 145 155 / 4%);
    padding: 0 30px;
    margin:0;
    border-radius: 13px;
    outline: solid 1px rgb(145 145 155 / 14%);
    box-shadow: 0 20px 30px -30px rgb(0 0 0 / 25%);
    max-height: 0;
    opacity: 0;
    filter: blur(7px);
    transition: .5s ease;
    pointer-events: none;
}

.resultados .pregunta-container.visible {
    padding: 20px 30px;
    margin-bottom: 25px;
    max-height: 1000px;
    opacity: 1;
    filter: blur(0);
    pointer-events: auto;
}

.resultados .botones-preguntas {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin: 10px 0 30px;
}

.resultados .botones-preguntas .btn-result-pregunta {
    background-color: rgb(145 145 155 / 15%);
    padding: 3px;
    border-radius: 5px;
    width:35px;
    text-align: center;
    transition: .3s ease;
}

.btn-result-pregunta:hover, .btn-result-pregunta:active {
    background-color: rgb(145 145 155 / 30%) !important;
}

.btn-result-pregunta.correcta { outline: solid 1px color-mix(in srgb, var(--elearning-green-sec), transparent 30%); }
.btn-result-pregunta.incorrecta { outline: solid 1px color-mix(in srgb, var(--elearning-red-accent), transparent 30%); }

.btn-result-pregunta.correcta:hover { outline: solid 1px var(--elearning-green-sec); }
.btn-result-pregunta.incorrecta:hover { outline: solid 1px var(--elearning-red-accent); }

.btn-result-pregunta.active {
    border: 0 none !important;
    color: var(--bs-body-bg) !important;
}

.btn-result-pregunta.active.correcta { 
    background-color: var(--elearning-green-sec) !important;
    outline: solid 1px var(--elearning-green-sec) !important;
}
.btn-result-pregunta.active.incorrecta {
    background-color: var(--elearning-red-accent) !important;
    color: white !important;
    outline: solid 1px var(--elearning-red-accent) !important;
}

.resultados .opciones-preguntas {
    max-width:400px;
    margin:0 auto;
    text-align: center;
}

.resultados .opcion {
    padding: 3px 5px;
    margin: 4px 0;
    color: color-mix(in srgb, var(--bs-body-color), transparent 50%);
}
.resultados .opcion p {
    margin-bottom: 0;
}

.opcion.respuesta-correcta {
    background: var(--elearning-green-main); color:white; font-weight: 600; border-radius:5px !important;
}

.opcion.respuesta-incorrecta {
    background: var(--elearning-red-accent); color:white; font-weight: 600; border-radius:5px !important;
}

/* FOOTER */
footer { position: fixed; bottom: 0; width: 100%; z-index: 5; }
.elearning-footer {
    background-color: var(--elearning-bg-tp) !important;
    backdrop-filter: blur(10px); -webkit-backdrop-filter: blur(10px);
    font-size: 13px;
}
@media only screen and (max-width:476px) {
    .elearning-footer { font-size:10px; }
}

/*ADMIN*/

label.btn-outline {
    background-color: rgb(145 145 155 / 15%);
}

.btn-check:not(:checked) + label.btn-outline:hover {
    background-color: rgb(145 145 155 / 30%) !important;
}

.btn-check:checked + label.btn-outline {
    background-color: var(--bs-body-color);
    color: var(--bs-body-bg);
    border-color: var(--bs-body-color);
}